aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2018-03-06 13:38:44 +0000
committerPeter Mikus <pmikus@cisco.com>2018-03-07 15:36:54 +0000
commit515f7c741fc0195e85b77e063a01a39d1a8b95bb (patch)
tree0724d0caac01a845387c94d0b830667ff3196e07 /bootstrap.sh
parenta4845b4c0419aa8785926b50d8d6c28f2e015e09 (diff)
CSIT-988: Fix functional bootstrap
Change-Id: I6fb16e799e991ce01e9f997a05c4be72a26ce3af Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 189ec6f3cc..809fd53177 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -348,9 +348,9 @@ function run_test_set() {
--output ${LOG_PATH}/log_test_set_run${nr} \
tests/
- local_run_rc=$?
- echo ${local_run_rc} > ${SHARED_MEMORY_PATH}/rc_test_run${nr}
+ local local_run_rc=$?
set -x
+ echo ${local_run_rc} > ${SHARED_MEMORY_PATH}/rc_test_run${nr}
}
set +x
@@ -397,6 +397,10 @@ for index in "${!VIRL_SERVER[@]}"; do
echo "Test_set${index} log:"
cat ${LOG_PATH}/test_run${index}.log
RC_PARTIAL_RUN=$(cat ${SHARED_MEMORY_PATH}/rc_test_run${index})
+ if [ -z "$RC_PARTIAL_RUN" ]; then
+ echo "Failed to retrieve return code from test run ${index}"
+ exit 1
+ fi
RC=$((RC+RC_PARTIAL_RUN))
rm -f ${SHARED_MEMORY_PATH}/rc_test_run${index}
rm -f ${LOG_PATH}/test_run${index}.log